Bug 216302 - Cannot install control-center-2.17.1-5.fc7.i386 - scriptlet error
Cannot install control-center-2.17.1-5.fc7.i386 - scriptlet error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-18 21:01 EST by Jim Cornette
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-18 21:04:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Cornette 2006-11-18 21:01:47 EST
Description of problem:
When trying to install control-center-2.17.1-5.fc7.i386 with either pup, yum or
rpm directly, a scriptlet error is encountered.

Version-Release number of selected component (if applicable):
Version trying to install - control-center-2.17.1-5.fc7.i386
Version currently installed - control-center-2.17.1-3.fc7


How reproducible:

See Updates  Available balloon indicating several updates, see balloon again for
one update available after completing "successful upgrade/

Steps to Reproduce:
1. Notice ballon specifying updates
2. Launch pup and allow it to update system
3. try yum and rpm after getting the balloon after two runs of pup to install
control-center.
  
Actual results:
yum -y update
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
development               100% |=========================| 1.1 kB    00:00     
livna-development         100% |=========================| 1.1 kB    00:00     
extras-development        100% |=========================| 1.1 kB    00:00     
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 833 kB    00:02     
################################################## 2261/2261
primary.xml.gz            100% |=========================|  80 kB    00:00     
################################################## 217/217
primary.xml.gz            100% |=========================| 1.2 MB    00:02     
################################################## 3751/3751
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for control-center to pack into transaction set.
control-center-2.17.1-5.f 100% |=========================|  67 kB    00:00     
---> Package control-center.i386 1:2.17.1-5.fc7 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 control-center          i386       1:2.17.1-5.fc7   development       2.6 M

Transaction Summary
=============================================================================
Install      0 Package(s)         
Update       1 Package(s)         
Remove       0 Package(s)         

Total download size: 2.6 M
Downloading Packages:
(1/1): control-center-2.1 100% |=========================| 2.6 MB    00:05     
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
error: %pre(control-center-2.17.1-5.fc7.i386) scriptlet failed, exit status 1
error:   install: %pre scriptlet failed (2), skipping control-center-2.17.1-5.fc7

Updated: control-center.i386 1:2.17.1-5.fc7
Complete!
[root@cornette-dell-hdb ~]# locate yum.log
/var/log/yum.log
/var/log/yum.log.1
/var/log/yum.log.2
[root@cornette-dell-hdb ~]# less /var/log/yum.log
[root@cornette-dell-hdb ~]# tail -9 /var/log/yum.log
Nov 18 09:59:37 Updated: gnome-python2-bonobo.i386 2.16.2-2.fc7
Nov 18 11:06:56 Updated: control-center.i386 2.17.1-5.fc7
Nov 18 11:07:58 Updated: control-center.i386 2.17.1-5.fc7
Nov 18 20:38:51 Updated: exo.i386 0.3.1.12-0.2.rc2.fc7
Nov 18 20:38:59 Updated: xfce-mcs-manager.i386 4.3.99.2-2.fc7
Nov 18 20:38:59 Erased: xfce-mcs-manager-devel
Nov 18 20:39:32 Updated: Terminal.i386 0.2.5.8-0.2.rc2.fc7
Nov 18 20:39:33 Updated: xfce-mcs-manager-devel.i386 4.3.99.2-2.fc7
Nov 18 20:44:33 Updated: control-center.i386 1:2.17.1-5.fc7
[root@cornette-dell-hdb ~]# cd /var/cache/yum/development//packages/
[root@cornette-dell-hdb packages]# ls
control-center-2.17.1-5.fc7.i386.rpm
[root@cornette-dell-hdb packages]# rpm -q control-center
control-center-2.17.1-3.fc7
[root@cornette-dell-hdb packages]# rpm --rebuilddb
[root@cornette-dell-hdb packages]#  rpm -Uvh control-center-2.17.1-5.fc7.i386.rpm 
Preparing...                ########################################### [100%]
error: %pre(control-center-2.17.1-5.fc7.i386) scriptlet failed, exit status 1
error:   install: %pre scriptlet failed (2), skipping control-center-2.17.1-5.fc7
[root@cornette-dell-hdb packages]# rpm -q control-center
control-center-2.17.1-3.fc7

Expected results:
control-center still at earlier version 2.17.1-3.fc7.

Additional info:

Previously bug-buddy submitted this error to gnome. Submitting just in case this
would influence this problem with scriptlets.
http://bugzilla.gnome.org/show_bug.cgi?id=374923
Comment 1 Ray Strode [halfline] 2006-11-18 21:04:36 EST
This should be fixed in tomorrow's rawhide.
Comment 2 Jim Cornette 2006-11-18 21:57:18 EST
Thanks! I'll try  the new version tomorrow.
Comment 3 Jim Cornette 2006-11-19 09:06:26 EST
Confitming success of update. control-center-2.17.1-6.fc7 installs and verifies
correctly.

Note You need to log in before you can comment on or make changes to this bug.